Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039657
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-11-20 17:012018-12-14 09:40
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision699e368e6274
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039657: Remove unneeded Logger getters/setters in ad_forms classes

DescriptionThere are a number of classes in ad_forms package that has public getter/setter methods that doesn't seem to be used. It would be nice to remove them to clean up the public API.

Full list of classes and method can be found here: https://docs.google.com/spreadsheets/d/1N23QlPbJlPBBwyKO57mvur6YVLKH7mE5ekJrQqE4jjo/edit?usp=sharing [^]
Steps To ReproduceSee above
Proposed SolutionCheck whether those methods are needed anywhere and remove them.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0039504 closedjarmendariz Upgrade Log4j to version 2 
related to defect 0039739 closedjarmendariz API Change: Remove logger getter and setter methods in ad_form classes 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0108529)
hgbot (developer)
2018-12-12 09:39

Repository: erp/devel/pi
Changeset: 699e368e6274111a30837861da7acfb13bc5030e
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Dec 04 09:22:11 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/699e368e6274111a30837861da7acfb13bc5030e [^]

Fixed issue 39657: Removed unused logger getter/setter methods

Removed logger setter/getter methods as they are not used and not having them
avoids API breaks when the log framework changes. Also changed visibility of
logger as private and final.

---
M src/org/openbravo/erpCommon/ad_forms/DocAmortization.java
M src/org/openbravo/erpCommon/ad_forms/DocBank.java
M src/org/openbravo/erpCommon/ad_forms/DocCash.java
M src/org/openbravo/erpCommon/ad_forms/DocCostAdjustment.java
M src/org/openbravo/erpCommon/ad_forms/DocCostAdjustmentTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocDPManagement.java
M src/org/openbravo/erpCommon/ad_forms/DocGLJournal.java
M src/org/openbravo/erpCommon/ad_forms/DocInOut.java
M src/org/openbravo/erpCommon/ad_forms/DocInternalConsumption.java
M src/org/openbravo/erpCommon/ad_forms/DocInventory.java
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
M src/org/openbravo/erpCommon/ad_forms/DocLCCost.java
M src/org/openbravo/erpCommon/ad_forms/DocLandedCost.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_LCCost.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_LandedCost.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_Payment.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
M src/org/openbravo/erpCommon/ad_forms/DocMovement.java
M src/org/openbravo/erpCommon/ad_forms/DocOrder.java
M src/org/openbravo/erpCommon/ad_forms/DocPayment.java
M src/org/openbravo/erpCommon/ad_forms/DocProduction.java
M src/org/openbravo/erpCommon/ad_forms/Translation.java
---
(0108549)
hudsonbot (developer)
2018-12-12 13:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1a781af6612 [^]
Maturity status: Test
(0108601)
alostale (developer)
2018-12-14 09:40

reviewed

- Issue History
Date Modified Username Field Change
2018-11-20 17:01 jarmendariz New Issue
2018-11-20 17:01 jarmendariz Assigned To => platform
2018-11-20 17:01 jarmendariz Modules => Core
2018-11-20 17:01 jarmendariz Triggers an Emergency Pack => No
2018-11-22 09:48 alostale Relationship added blocks 0032688
2018-11-22 09:49 alostale Summary API Change: Remove unneeded Logger getters/setters in ad_forms classes => Remove unneeded Logger getters/setters in ad_forms classes
2018-11-22 09:50 alostale Relationship added related to 0039504
2018-11-30 14:33 jarmendariz Status new => scheduled
2018-11-30 14:33 jarmendariz Assigned To platform => jarmendariz
2018-12-04 10:07 jarmendariz Relationship added related to 0039739
2018-12-12 09:39 hgbot Checkin
2018-12-12 09:39 hgbot Note Added: 0108529
2018-12-12 09:39 hgbot Status scheduled => resolved
2018-12-12 09:39 hgbot Resolution open => fixed
2018-12-12 09:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/699e368e6274111a30837861da7acfb13bc5030e [^]
2018-12-12 09:40 jarmendariz Review Assigned To => alostale
2018-12-12 13:59 hudsonbot Checkin
2018-12-12 13:59 hudsonbot Note Added: 0108549
2018-12-14 09:40 alostale Note Added: 0108601
2018-12-14 09:40 alostale Status resolved => closed
2018-12-14 09:40 alostale Fixed in Version => 3.0PR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker